'Fitbit' Visualizations

Connection to the 'Fitbit' Web API < https://dev.fitbit.com/build/reference/web-api/> by including 'ggplot2' Visualizations, 'Leaflet' and 3-dimensional 'Rayshader' Maps. The 3-dimensional 'Rayshader' Map requires the installation of the 'CopernicusDEM' R package which includes the 30- and 90-meter elevation data.


News

Reference manual

It appears you don't have a PDF plugin for this browser. You can click here to download the reference manual.

install.packages("fitbitViz")

1.0.2 by Lampros Mouselimis, 3 months ago


https://github.com/mlampros/fitbitViz


Browse source code at https://github.com/cran/fitbitViz


Authors: Lampros Mouselimis [aut, cre]


Documentation:   PDF Manual  


GPL-3 license


Imports glue, httr, jsonlite, ggplot2, lubridate, patchwork, data.table, stats, viridis, scales, ggthemes, varian, paletteer, XML, hms, leaflet, sf, rstudioapi, grDevices, leafgl, raster, exactextractr, sp, magrittr, rayshader, OpenImageR, geodist, utils

Suggests CopernicusDEM, testthat, knitr, rmarkdown, DT, rgl, magick

System requirements: update: apt-get -y update (deb)


Suggested by CopernicusDEM.


See at CRAN